de.vc.jfo.report

## Class FOReport

- java.lang.Object
- - de.vc.report.Report
  - - de.vc.jfo.report.FOReport

-     public class FOReport
      extends Report

  A FOReport is generated by the FO report builder and holds the report as a FO document object. In general the FO document is rendered into a certain output format (e.g. PDF or Postscript) with a renderer before it is placed in a report storage. Thus a FO report has a output-format and a renderer that can transformer the FO document this format.
  See Also:
    `Document`, `ReportEngine`, `FOReportBuilder`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `getFODocument()` Gets the FO document object of this report.
    `OutputFormat` | `getOutputFormat()` Gets the output format of this report.
    `Renderer` | `getRenderer()` Gets the renderer which is used to transform the FO document to the specified output format.
    `void` | `writeReport(java.io.OutputStream output)` Writes this report to an output stream.

    - ### Methods inherited from class de.vc.report.Report

      `createInputStream, getMetaData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeReport

          public void writeReport(java.io.OutputStream output)
                           throws java.io.IOException

      Writes this report to an output stream. The FO document is transfomed to the desired output format with a renderer when calling this method.
      Specified by:
        `writeReport` in class `Report`
      Parameters:
        `output` - OutputStream
      Throws:
        `java.io.IOException`

    - #### getFODocument

          public Document getFODocument()

      Gets the FO document object of this report.
      Returns:
        Document

    - #### getOutputFormat

          public OutputFormat getOutputFormat()

      Gets the output format of this report.
      Returns:
        OutputFormat

    - #### getRenderer

          public Renderer getRenderer()

      Gets the renderer which is used to transform the FO document to the specified output format.
      Returns:
        Renderer

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.